<template>
  <div>
	  <div class="content">
	  	<div class="content_item content_item_padding0">
	  	    <div class="label">项目名称</div>
	  	    <div class="content_right">
	  	        <el-input class="ename_input" 
	  			placeholder="请输入项目名称关键字" v-model="keyword" ></el-input>
	  	    </div>
	  	</div>
		<div class="content_item">
		    <div class="label">参投单位</div>
		    <div class="content_right">
		        <el-input class="ename_input" 
				placeholder="请输入参投单位关键字" v-model="jskBidQueryDto.companyName" ></el-input>
		    </div>
		</div>
		<div class="content_item">
		    <div class="label">项目信息</div>
		    <div class="content_right">
		       <div class="select-popper" >
		         <span :class="{color_text:jskBidQueryDto.province.length ||jskBidQueryDto.city.length ||jskBidQueryDto.county.length,}">
					 行政区划{{jskBidQueryDto.province.length ||jskBidQueryDto.city.length ||jskBidQueryDto.county.length? jskBidQueryDto.province.length + jskBidQueryDto.city.length +jskBidQueryDto.county.length +"项": ""}}
		           <i class="el-icon-caret-bottom"></i>
		         </span>
		         <el-cascader
		           ref="address"
		           class="cascader-region"
		           v-model="addressType"
		           :options="addressList"
		           :props="props"
		           @change="domicileChange"
		           collapse-tags
		           clearable
		         ></el-cascader>
		       </div>
			   
			   <el-dropdown @command="punishDatehandleCommand" trigger="click"   placement="bottom-start" class="el-dropdown-land" ref="punishDateShowPopper" :hide-on-click="false" >
			     <span class="el-dropdown-link" :class="punishDateValue ? 'color_text' : ''" >
			       发布时间{{ punishDateValue ? " 1项" : ""}}
			   	<i class="el-icon-caret-bottom"></i>
			     </span>
			     <div>
			       <el-dropdown-menu slot="dropdown">
			         <el-dropdown-item  v-for="(item, i) in punishDateOptions" class="el-dropdown-land"  :class=" punishDateValue && punishDateValue == item.value ? 'color_text': '' " :key="i" :command="item.value">
			           <div @mouseenter="hidePoper">{{ item.label }}</div>
			         </el-dropdown-item>
			         <el-dropdown-item command="自定义" style="padding: 0; text-indent: 20px">
			           <div @mouseenter="mouseenter">
			             <span :class="punishDateValue == '自定义' ? 'color_text' : ''">
			               自定义<i class="el-icon-arrow-right"></i>
			             </span>
			             <el-date-picker
			               v-if="punishDateShowPopper"
			               @change="changepunishDate"
			               class="land_date_picker"
			               v-model="punishDate"
			               ref="datePicker"
			               value-format="yyyy-MM-dd"
			               type="daterange"
			               range-separator="至"
			               start-placeholder="开始日期"
			               end-placeholder="结束日期"
			             >
			             </el-date-picker>
			           </div>
			         </el-dropdown-item>
			       </el-dropdown-menu>
			     </div>
			   </el-dropdown>
			   
			   <el-dropdown @command="tenderDatehandleCommand" class="el-dropdown-land"   placement="bottom-start" trigger="click" ref="tenderDateShowPopper"  :hide-on-click="false" >
			     <span class="el-dropdown-link" :class="tenderDateValue ? 'color_text' : ''" >开标时间{{ tenderDateValue ? " 1项" : ""}}<i class="el-icon-caret-bottom"></i>
			     
			   			</span>
			     <div>
			       <el-dropdown-menu slot="dropdown">
			         <el-dropdown-item v-for="(item, i) in punishDateOptions" :class=" tenderDateValue && tenderDateValue == item.value ? 'color_text' : ''" :key="i" :command="item.value">
			           <div @mouseenter="hidePoper('bid')">{{ item.label }}</div>
			         </el-dropdown-item>
			         <el-dropdown-item command="自定义" style="padding: 0; text-indent: 20px">
			           <div @mouseenter="mouseenter('bid')">
			             <span :class="tenderDateValue == '自定义' ? 'color_text' : ''">自定义<i class="el-icon-arrow-right"></i></span>
			             <el-date-picker
			               v-if="tenderDateShowPopper"
			               @change="changepunishDate('bid')"
			               class="land_date_picker"
			               v-model="tenderDate"
			               ref="tenderDatePicker"
			               value-format="yyyy-MM-dd"
			               type="daterange"
			               range-separator="至"
			               start-placeholder="开始日期"
			               end-placeholder="结束日期"
			             >
			             </el-date-picker>
			           </div>
			         </el-dropdown-item>
			       </el-dropdown-menu>
			     </div>
			   </el-dropdown>
			   
		    </div>
		</div>
		<div class="content_item content_item_padding0">
		    <div class="geduan">
		       
		    </div>
		</div>
		<div class="content_item content_item_padding0">
			
			<div class="search-new">
				<span @click="search()">查询</span>
				<span @click="reset">重置</span>
			</div>
		</div>
		
		
	  </div>
	  <div class="bottomlist">
	  	<div class="bottomlist-title">
	  		<div></div>
	  		<div class="title-right">
	  			<p>共有{{total}}条</p>
	  			<p>
	  				<img src="@/assets/images/EXCEL.png" alt="">
	  				<span>导出EXCEL</span>
	  			</p>
	  		</div>
	  		  
	  	</div>
		<div class="table-item-jf1" v-if="tableData.length==0">
			<img class="item-jf-img" src="@/assets/images/kong.png" alt="">
			<div class="item-jf-titel">抱歉，没找到相关数据！</div>
			<div class="item-jf-text">建议调整关键词或筛选条件，重新搜索！</div>
		</div>
	  	<ul class="bottomlist-content" v-if="tableData.length>0">
	  		<li class="bottomlist-list" v-for="item in tableData">
	  			<p class="list-titel">
	  				 <router-link  :to="'/radar/BidRecord/details/'+ item.id" tag="a" class="list-titel-a"  v-html="item.projectName"></router-link>
	  			</p>
	  			<div class="content-label" v-if="item.domicile">
						<span class="list-label list-label-zb" v-if="item.domicile">
						  {{item.domicile}}
						</span>
	  			</div>
	  			
	  			<div  class="list-content list-content1" v-if="item.tenderTime||item.source||item.punishDate">
	  			
	  				<p class="list-content-text" v-if="item.tenderTime">
	  					<span>开标时间：</span>
	  					<span>{{item.tenderTime||'--'}}</span>
	  				</p>
	  				<p class="list-content-text" v-if="item.punishDate">
	  					<span>发布时间：</span>
	  					<span>{{item.punishDate||'--'}}</span>
	  				</p>
	  				
	  				<p class="list-content-text" v-if="item.source">
	  					<span>来源网站：</span>
	  					<span>{{item.source||'--'}}</span>
	  				</p>
	  				
	  				
	  			</div>
	  			
	  		</li>
	  	</ul>
	  	<div class="pagination clearfix"  v-show="total>0">
	  		  <el-pagination
	  		    background
	  		    :page-size="limit"
	  		    :current-page="page"
	  		    @current-change="handleCurrentChange"
	  		    layout="prev, pager, next"
	  		    :total="total">
	  		  </el-pagination>
	  	</div>
	  	
	  </div>
  </div>
</template>

<script>
import jsk_data from '../../../../../public/jsk.json';
import {encodeStr} from "@/assets/js/common.js"
import api from '@/api/radar/radar.js';
export default {
  name: 'BidRecord',
  data() {
    return {
      addressList: [],
      addressType: [],
      props: {
        multiple: true,
        expandTrigger: "hover",
        value: "id",
      },
      keyword:"",
      keywordNot:"",
      fieldshow: false,
			fieldText: '默认排序',
			field: '', //查询结果排序方式
      fieldOptions: [
        {
          key: "",
          value: "默认排序",
          status: true,
        },
        {
          key: "publishDate",
          value: "发布日期从晚到早",
          status: false,
        },
      ],

      punishDateOptions: [
        {
          label: "不限",
          value: "",
        },
        {
          label: "今天",
          value: "今天",
        },
        {
          label: "近3日",
          value: "近3日",
        },
        {
          label: "近7日",
          value: "近7日",
        },
        {
          label: "近1个月",
          value: "近1个月",
        },
        {
          label: "近3个月",
          value: "近3个月",
        },
        {
          label: "近半年",
          value: "近半年",
        },
        {
          label: "近1年",
          value: "近1年",
        },
      ],
      punishDateValue: "",
      jskBidQueryDto: {
        province: [],
        city: [],
        county: []
      },
      domicile: [],
      provinceText:[],
      provinceList:[],
      punishDate: "",
      punishDateShowPopper: false,
      tenderDateValue: "",
      tenderDate: "",
      tenderDateShowPopper: false,
      pageFlag: true,
	  conditionsArr: [],
	  
	  tableData:[],
	  total:0,
	  page: 1,
	  limit: 20,
    };
  },
  computed: {
    checkJskBidQueryDto() {
        let arr = [];
		let flag = false;
		let data = {};
      if(this.keyword){
        data = {
						title: "项目包含:",
						keyid: "keyword",
						value: this.keyword,
						key: "keyword"
					}
        flag = true;
		arr.push(data)
      }
      if(this.keywordNot){
        data = {
						title: "项目排除:",
						keyid: "keywordNot",
						value: this.keywordNot,
						key: "keywordNot"
					}
        flag = true;
		arr.push(data)
      }
      if(this.jskBidQueryDto.companyName){
        data = {
						title: "参投单位:",
						keyid: "companyName",
						value: this.jskBidQueryDto.companyName,
						key: "companyName"
					}
        flag = true;
		arr.push(data)
      }
      if(this.jskBidQueryDto.startBidMoney){
        data = {
						title: "最低金额:",
						keyid: "startBidMoney",
						value: this.jskBidQueryDto.startBidMoney,
						key: "startBidMoney"
					}
        flag = true;
		arr.push(data)
      }
      if(this.jskBidQueryDto.endBidMoney){
        data = {
				title: "最高金额:",
				keyid: "endBidMoney",
				value: this.jskBidQueryDto.endBidMoney,
				key: "endBidMoney"
					}
        flag = true;
		arr.push(data)
      }
      if(this.jskBidQueryDto.hasMoney){
        data = {
				title: "包含投标报价未公示",
				keyid: "hasMoney",
				value: this.jskBidQueryDto.hasMoney,
				key: "hasMoney"
					}
        flag = true;
		arr.push(data)
      }
      if (this.domicile.length > 0) {
        data = {
          title: "行政区划:",
          keyid: "domicile",
          value: this.domicile.join(","),
          key: "domicile"
        }
        flag = true;
        arr.push(data)
      }
      if(this.punishDateValue=="自定义"){
        data = {
            title: "发布时间:",
			keyid: "punishDate",
			value: this.jskBidQueryDto.startPunishDate +"~" +this.jskBidQueryDto.endPunishDate,
			key: "punishDate"
        }
        flag = true;
		arr.push(data)
      }
      if(this.punishDateValue&&this.punishDateValue!="自定义"){
        data = {
            title: "发布时间:",
			keyid: "punishDate",
			value: this.punishDateValue,
			key: "punishDate"
        }
        flag = true;
		arr.push(data)
      }
      if(this.tenderDateValue=="自定义"){
        data = {
          title: "开标时间:",
          keyid: "tenderDate",
          value: this.jskBidQueryDto.startTenderTime +"~" +this.jskBidQueryDto.endTenderTime,
          key: "tenderDate"
        }
        flag = true;
        arr.push(data)
      }
      if(this.tenderDateValue&&this.tenderDateValue!="自定义"){
        data = {
          title: "开标时间:",
          keyid: "tenderDate",
          value: this.tenderDateValue,
          key: "tenderDate"
        }
        flag = true;
        arr.push(data)
      }
      this.conditionsArr = arr
      return flag;
    },
  },
  mounted() {
    
    this.addressListfn();
	this.search();
  },
  methods: {
    
    refresh(value) {
      if(value) {
        this.$router.go(0)
      }
    },
    search(page, limit,exportFlag) {
      if (!page) {
        this.page = 1;
      }
      if (!limit) {
        this.limit = 20;
      }
      if (!page && !limit) {
        this.reloadPage();
      }
      var data = JSON.parse(JSON.stringify(this.jskBidQueryDto));
      data.province = data.province.join(",");
      data.city = data.city.join(",");
      data.county = data.county.join(",");
      let params = {
        page: {
          page: this.page,
          limit: this.limit,
          field: this.field,
        },
        jskBidQueryDto: data,
      };
      if(this.keyword){
        params.keyword = this.keyword
      }else{
        delete params.keyword
      }
      if(this.keywordNot){
        params.keywordNot = this.keywordNot
      }else{
        delete params.keywordNot
      }
      api.jskBidTenderPage(params).then(res=>{
      	if (res.code==200) {
      		this.tableData=res.data.list;
      		this.total=res.data.total;
      	}
      }).catch(error=>{
      	
      });
      
    },
    //关闭支付弹窗
	resolve(value) {
		if (value) {
			this.$router.go(0)
		}
	},
    provinceChange(arr){
      this.provinceText = [];
      if(arr.length>0){
        arr.map(item=>{
          this.provinceText.push(item.label);
        })
      }
    },
    changeMoney(text) {
		if (
			this.jskBidQueryDto.startBidMoney &&
			this.jskBidQueryDto.endBidMoney &&
			Number(this.jskBidQueryDto.startBidMoney) >
			Number(this.jskBidQueryDto.endBidMoney)
		) {
			this.$message.warning("最低金额不能大于最高金额！");
			text == "start" ?
				(this.jskBidQueryDto.startBidMoney = "") :
				(this.jskBidQueryDto.endBidMoney = "");
		}
	},
    reloadPage() {
      this.pageFlag = false;
      this.$nextTick(() => {
        this.pageFlag = true;
      });
    },
    handleCurrentChange(page) {
      this.page = page;
      this.search(page, this.limit);
    },
    handleSizeChange(limit) {
      this.limit = limit;
      this.search(this.page, limit);
    },
    deleteDomicile() {
      this.$refs.address.handleClear();
    },
    domicileChange() {
      let arr = this.$refs.address.getCheckedNodes();
      let province = [],
        city = [],
        county = [];
      this.domicile = [];
      for (var i in arr) {
        if (arr[i].parent) {
          if (!arr[i].parent.checked) {
            arr[i].hasChildren && city.push(arr[i].value);
            arr[i].hasChildren && this.domicile.push(arr[i].label);
            !arr[i].hasChildren && county.push(arr[i].value);
            !arr[i].hasChildren && this.domicile.push(arr[i].label);
          }
        } else {
          province.push(arr[i].value);
          this.domicile.push(arr[i].label);
        }
      }
      var obj = JSON.parse(JSON.stringify(this.jskBidQueryDto));
      obj.province = province;
      obj.city = city;
      obj.county = county;
      this.jskBidQueryDto = obj;
    },
    punishDatehandleCommand(command) {
      var obj = JSON.parse(JSON.stringify(this.jskBidQueryDto));
      if (command && command != "自定义") {
        this.punishDateValue = command;
        this.$refs.punishDateShowPopper.hide();
        const datetime = new Date();
        var startTime, endTime, Year, Month, Day;
        Year = datetime.getFullYear();
        Month = datetime.getMonth() + 1;
        Day = datetime.getDate();
        switch (command) {
          case "今天":
            startTime = Year + "-" + Month +"-" + Day;
            endTime = Year + "-" + Month + "-" + Day;
            break;
          case "近3日":
            endTime = Year + "-" + Month + "-" + Day;
            if (Day > 3) {
              startTime = Year + "-" + Month  + "-" +(Day-3);
            } else {
              let newTime = datetime.getTime()-3*24*60*60*1000
              Year = new Date(newTime).getFullYear();
              Month = new Date(newTime).getMonth() + 1;
              Day = new Date(newTime).getDate();
              startTime = Year + "-" + Month +"-" + Day;
            }
            break;
          case "近7日":
            endTime = Year + "-" + Month + "-" + Day;
            if (Day > 7) {
              startTime = Year + "-" + Month  + "-" +(Day-7);
            } else {
              let newTime = datetime.getTime()-7*24*60*60*1000
              Year = new Date(newTime).getFullYear();
              Month = new Date(newTime).getMonth() + 1;
              Day = new Date(newTime).getDate();
              startTime = Year + "-" + Month +"-" + Day;
            }
            break;
          case "近1个月":
            endTime = Year + "-" + Month + "-" + Day;
            if (Month > 1) {
              startTime = Year + "-" + (Month - 1) + "-1";
            } else {
              startTime = Year - 1 + "-" + (12 + Month - 1) + "-1";
            }
            break;
          case "近3个月":
            endTime = Year + "-" + Month + "-" + Day;
            if (Month > 3) {
              startTime = Year + "-" + (Month - 3) + "-1";
            } else {
              startTime = Year - 1 + "-" + (12 + Month - 3) + "-1";
            }
            break;
          case "近半年":
            endTime = Year + "-" + Month + "-" + Day;
            if (Month > 6) {
              startTime = Year + "-" + (Month - 6) + "-1";
            } else {
              startTime = Year - 1 + "-" + (12 + Month - 6) + "-1";
            }
            break;
          case "近1年":
            startTime = Year - 1 + "-" + Month + "-" + Day;
            endTime = Year + "-" + Month + "-" + Day;
            break;
          case "自定义":
            if (!this.punishDate) {
              this.punishDateValue = "";
            }
            break;
        }
				if(startTime){
					var start=startTime.split('-');
					startTime=start.map((item)=>{
						if(item.length==1){
							return '0'+item
						}else{
							return item
						}
					})
					startTime=startTime.join('-')
				}
				if(endTime){
					var end=endTime.split('-');
					endTime=end.map((item)=>{
						if(item.length==1){
							return '0'+item
						}else{
							return item
						}
					})
					endTime=endTime.join('-')
				}
        obj.startPunishDate = startTime;
        obj.endPunishDate = endTime;
      } else if (command == "自定义") {
        this.$refs.datePicker.pickerVisible = true;
      } else {
        this.$refs.punishDateShowPopper.hide();
        this.punishDateValue = "";
        this.punishDate = "";
        obj.startPunishDate = "";
        obj.endPunishDate = "";
      }
      this.jskBidQueryDto = obj;
    },
    tenderDatehandleCommand(command) {
      var obj = JSON.parse(JSON.stringify(this.jskBidQueryDto));
      if (command && command != "自定义") {
        this.tenderDateValue = command;
        this.$refs.tenderDateShowPopper.hide();
        const datetime = new Date();
        var startTime, endTime, Year, Month, Day;
        Year = datetime.getFullYear();
        Month = datetime.getMonth() + 1;
        Day = datetime.getDate();
        switch (command) {
          case "今天":
            startTime = Year + "-" + Month +"-" + Day;
            endTime = Year + "-" + Month + "-" + Day;
            break;
          case "近3日":
            endTime = Year + "-" + Month + "-" + Day;
            if (Day > 3) {
              startTime = Year + "-" + Month  + "-" +(Day-3);
            } else {
              let newTime = datetime.getTime()-3*24*60*60*1000
              Year = new Date(newTime).getFullYear();
              Month = new Date(newTime).getMonth() + 1;
              Day = new Date(newTime).getDate();
              startTime = Year + "-" + Month +"-" + Day;
            }
            break;
          case "近7日":
            endTime = Year + "-" + Month + "-" + Day;
            if (Day > 7) {
              startTime = Year + "-" + Month  + "-" +(Day-7);
            } else {
              let newTime = datetime.getTime()-7*24*60*60*1000
              Year = new Date(newTime).getFullYear();
              Month = new Date(newTime).getMonth() + 1;
              Day = new Date(newTime).getDate();
              startTime = Year + "-" + Month +"-" + Day;
            }
            break;
          case "近1个月":
            endTime = Year + "-" + Month + "-" + Day;
            if (Month > 1) {
              startTime = Year + "-" + (Month - 1) + "-1";
            } else {
              startTime = Year - 1 + "-" + (12 + Month - 1) + "-1";
            }
            break;
          case "近3个月":
            endTime = Year + "-" + Month + "-" + Day;
            if (Month > 3) {
              startTime = Year + "-" + (Month - 3) + "-1";
            } else {
              startTime = Year - 1 + "-" + (12 + Month - 3) + "-1";
            }
            break;
          case "近半年":
            endTime = Year + "-" + Month + "-" + Day;
            if (Month > 6) {
              startTime = Year + "-" + (Month - 6) + "-1";
            } else {
              startTime = Year - 1 + "-" + (12 + Month - 6) + "-1";
            }
            break;
          case "近1年":
            startTime = Year - 1 + "-" + Month + "-" + Day;
            endTime = Year + "-" + Month + "-" + Day;
            break;
          case "自定义":
            if (!this.tenderDate) {
              this.tenderDateValue = "";
            }
            break;
        }
        if(startTime){
          var start=startTime.split('-');
          startTime=start.map((item)=>{
            if(item.length==1){
              return '0'+item
            }else{
              return item
            }
          })
          startTime=startTime.join('-')
        }
        if(endTime){
          var end=endTime.split('-');
          endTime=end.map((item)=>{
            if(item.length==1){
              return '0'+item
            }else{
              return item
            }
          })
          endTime=endTime.join('-')
        }
        obj.startTenderTime = startTime;
        obj.endTenderTime = endTime;
      } else if (command == "自定义") {
        this.$refs.tenderDatePicker.pickerVisible = true;
      } else {
        this.$refs.tenderDateShowPopper.hide();
        this.tenderDateValue = "";
        this.tenderDate = "";
        obj.startTenderTime = "";
        obj.endTenderTime = "";
      }
      this.jskBidQueryDto = obj;
    },
    changepunishDate(type) {
      if(type=='bid'&&this.tenderDate){
        this.tenderDateValue = "自定义";
        var obj = JSON.parse(JSON.stringify(this.jskBidQueryDto));
        obj.startTenderTime = this.tenderDate[0];
        obj.endTenderTime = this.tenderDate[1];
        this.jskBidQueryDto = obj;
      }else if(this.punishDate) {
        this.punishDateValue = "自定义";
        var obj = JSON.parse(JSON.stringify(this.jskBidQueryDto));
        obj.startPunishDate = this.punishDate[0];
        obj.endPunishDate = this.punishDate[1];
        this.jskBidQueryDto = obj;
      }
    },
    addressListfn() {
      var str = [];
      for (let x = 0; x < 3; x++) {
        for (let i = 0; i < jsk_data.length; i++) {
          if (jsk_data[i].regionLevel == x + 1 && x + 1 == 1) {
            str.push({
              id: jsk_data[i].id,
              label: jsk_data[i].regionName,
              short: jsk_data[i].short,
              value: jsk_data[i].parentId,
              children:jsk_data[i].id==900000?undefined:[],
            });
          } else if (jsk_data[i].regionLevel == x + 1 && x + 1 == 2&&str) {
            for (let j = 0; j < str.length; j++) {
              if (str[j].id == jsk_data[i].parentId) {
                str[j].children.push({
                  id: jsk_data[i].id,
                  label: jsk_data[i].regionName,
                  short: jsk_data[i].short,
                  value: jsk_data[i].parentId,
                  children: [],
                });
              }
            }
          } else if (jsk_data[i].regionLevel == x + 1 && x + 1 == 3) {
            for (let j = 0; j < str.length; j++) {
              if(str[j].children){
                for (let k = 0; k < str[j].children.length; k++) {
                  if (str[j].children[k].id == jsk_data[i].parentId) {
                    str[j].children[k].children.push({
                      id: jsk_data[i].id,
                      label: jsk_data[i].regionName,
                      short: jsk_data[i].short,
                      value: jsk_data[i].parentId,
                    });
                  }
                }
              }
            }
          }
        }
      }
      this.addressList = str;
    },
    hidePoper(type) {
	    if(type=='bid'&&this.$refs.tenderDatePicker){
        this.$refs.tenderDatePicker.pickerVisible = false;
      }else if(this.$refs.datePicker){
        this.$refs.datePicker.pickerVisible = false;
      }
    },
    mouseenter(type) {
	    if(type=='bid'){
        this.tenderDateShowPopper = true;
        if(this.tenderDateValue=="自定义"){
          this.$nextTick(() => {
            this.$refs.tenderDatePicker.pickerVisible = true;
          });
        }
      }else{
        this.punishDateShowPopper = true;
        if(this.punishDateValue=="自定义"){
          this.$nextTick(() => {
            this.$refs.datePicker.pickerVisible = true;
          });
        }
      }
    },
    clearpunishDate(type) {
      var obj = JSON.parse(JSON.stringify(this.jskBidQueryDto));
	    if(type=='bid'){
        this.tenderDate = "";
        this.tenderDateValue = "";
        obj.startTenderTime = "";
        obj.endTenderTime = "";
      }else{
        this.punishDate = "";
        this.punishDateValue = "";
        obj.startPunishDate = "";
        obj.endPunishDate = "";
      }
      this.jskBidQueryDto = obj;
    },
    reset() {
      Object.assign(this.$data, this.$options.data.call(this)); //重置data
      this.init();
      this.$emit("reset");
    },
    init(){
      this.search();
      this.addressListfn();
    },
    handsequencingList(index) {
		this.fieldshow = false;
		this.field = this.fieldOptions[index].key;
		for (let i = 0; i < this.fieldOptions.length; i++) {
			this.fieldOptions[i].status = false;
		}
		this.fieldText = this.fieldOptions[index].value;
		this.fieldOptions[index].status = true;
		this.search();
	},
  },
};
</script>
<style lang="scss" scoped>
	
	.content{
	  padding: 0px 16px;
	  padding-top: 16px;
	  border-radius: 4px 4px 4px 4px;
	   background: #FFFFFF;
	   .content_item{
		   padding-top: 20px;
		   display: flex;
		   align-items: center;
	       .label{
	           width: 84px;
			   font-size: 14px;
			   font-weight: 400;
			   color: rgba(35,35,35,0.8);
	       }
	       .content_right{
	           
	           .ename_input{
	               width: 640px;
	               margin-right: 20px;
	           }
			   .land_ipt_470 {
			   	width: 640px;
			   }
	       }
		   
		 .item_ckquery_list {
			display: flex;
		
		}
		
		 .item_ckquery_list .el-input__icon {
			position: relative;
			top: 1px;
		}
		.ckquery_list_right {
			width: 640px;
		}
		.register_count_ipt{
			margin-left: 0px;
			
		}
		.register_count_ipt .el-input__inner{
			width: 174px;
		}
		::v-deep .el-input-group__prepend{
			padding: 0 8px;
		}
		.content-projecttype{
			display: flex;
			align-items: center;
			justify-content: center;
			.projecttype{
				font-weight: 400;
				color: #232323;
				padding: 1px 5px;
				margin-right: 4px;
				cursor: pointer;
				border-radius: 3px 3px 3px 3px;
				font-size: 14px;
			}
			.projecttype:first-child{
				padding-left: 0px;
			}
			.projecttype:hover{
				background: #F3F4F5;
				padding: 1px 5px;
			}
			.activetype{
				background: #F3F4F5;
				padding: 1px 5px !important;
			}
		}
		
		
	   
	   }
	   .content_item_padding0{
		   padding: 0;
	   }
		
	}
	.bottomlist{
		width: 100%;
		background-color: #FFFFFF;
		
	     border-radius: 4px 4px 4px 4px;
		.bottomlist-title{
			display: flex;
			justify-content: space-between;
			align-items: center;
			margin-top: 12px;
			padding: 16px ;
			border-bottom: 1px solid #EFEFEF;
			 
			.title-right{
				display: flex;
				align-items: center;
				p:first-child{
					font-size: 12px;
					font-weight: 400;
					color: #3D3D3D;
					margin-right: 10px;
				}
				p:last-child{
					display: flex;
					align-items: center;
					font-size: 14px;
					font-weight: 400;
					color: rgba(35,35,35,0.8);
				}
				img{
					width: 18px;
					height: 18px;
				}
			}
			
		}
		.bottomlist-content{
			
			padding-bottom: 0px;
		}
		.bottomlist-list{
			padding: 16px;
			font-size: 14px;
			border-bottom: 1px solid #EFEFEF;
			padding-bottom: 14px;
			.list-titel{
				font-size: 16px;
				font-weight: 700;
				color: #3D3D3D;
				line-height: 19px;
				.list-titel-a{
					text-decoration: none;
					color:#3D3D3D;
				}
				a:hover, a:visited, a:link, a:active{
					color:#3D3D3D;
				}
			}
			.content-label{
				margin-top: 8px;
				.list-label{
					background: #F3F3FF;
					color: #8491E8;
					border-radius: 1px 1px 1px 1px;
				
					padding: 3px 7px;
					font-size: 12px;
					
				}
			}
			
			
			.list-content{
				margin-top: 8px;
				display: flex;
				justify-content: start;
				align-items: center;
				
				.list-content-text{
					display: flex;
					justify-content: start;
					align-items: center;
					margin-right: 32px;
					font-size: 14px;
					
					span:first-child{
						font-weight: 400;
						color: rgba(35,35,35,0.4);
						line-height: 15px
					}
					span:last-child{
						font-weight: 400;
						color: rgba(35,35,35,0.8);
						line-height: 15px
					}
					.blue{
						color: #0081FF !important;
						cursor: pointer;
						
					}
					
				}
				
				
			}
			.list-addree{
				width: auto;
				background: #F3F4F5;
				display: inline-flex;
				margin-top: 7px;
				.list-content-text{
					margin-top: 0px;
					span{
						line-height: 30px!important;
					}
				}
				img{
					width: 14px;
					margin: 0  8px;
					
				}
			}
			.list-content1{
				margin-top: 12px;
			}
			
			
		}
		.bottomlist-list:hover{
			background: #F6F9FC;
			cursor: pointer;
		}
		.pagination{
			padding: 14px ;
		   .el-pagination{
			   float: right;
		   }
		}
	}
	
	
</style>
<style lang="scss" scoped>
#bidRecord_wrap {
  padding: 0 16px;
  font-size: 14px;

  .land_content_wrap {
    display: flex;
    line-height: 34px;
    .land_content_wrap_label {
      color: #666666;
      margin-right: 4px;
    }
  }

  .data_list {
    width: 1184px;
    margin: 0 auto;

    .data_list_head {
      height: 50px;
      line-height: 50px;
      color: #666666;

      .data_list_count {
        color: #ff2a00;
        font-weight: bold;
      }
    }

    .data_list_item {
      border-top: 1px solid #efefef;
      padding: 24px 16px;
      padding-left: 16px;
      margin-left: -16px;

      &:hover {
        background: #f5faff;
      }

      .data_list_h1 {
        width: 1168px;
        font-size: 18px;
        font-weight: bold;
        color: #333333;
        line-height: 24px;
        margin-bottom: 10px;
        text-decoration:none;
        word-break: break-all;
        display: inline-block;
      }
      .data_list_h1_1 {
        cursor: pointer;
      }
      .label_box {
        padding-bottom: 6px;
        display: flex;
        .label_span {
          padding: 0 8px;
          display: inline-block;
          height: 22px;
          line-height: 22px;
          border-radius: 2px 2px 2px 2px;
          margin-right: 8px;
          font-size: 12px;
        }

        .label_span1 {
          background: #e4f3fd;
          color: #0081ff;
        }

        .label_span2 {
          background: #f3f3ff;
          color: #8491e8;
        }

        .label_span3 {
          background: #e3f6f8;
          color: #44bcc4;
        }

        .label_span4 {
          background: #e3f6f8;
          color: #44bcc4;
        }
      }

      .label_wrap {
        font-size: 14px;
        margin-top: 10px;
        line-height: 18px;
        display: flex;
        .label_item {
          color: #999999;
        }
        .label_item1{
          position: relative;
          top: -3px;
        }
        .company {
          color: #0081ff;
          cursor: pointer;
          margin-right: 20px;
        }
        .label_con {
          color: #333333;
          margin-right: 20px;
          max-width: 900px;
          overflow: hidden;
          text-overflow: ellipsis;
          white-space: nowrap;
        }

        .label_con1 {
          width: 1042px;
          display: inline-block;
          margin: 0;
          white-space: nowrap;
          overflow: hidden;
          text-overflow: ellipsis;
        }
      }
    }
  }

  .content_li {
    padding: 16px 0;
    display: flex;
    align-items: center;
    position: relative;
    .content_item {
      .include-keywords {
        display: flex;
        align-items: center;
        position: relative;

        .lefttltel {
          display: inline-block;
          background: #f5f5f5;
          color: #333;
          border: 1px solid #efefef;
          border-right: none;
          opacity: 1;
          width: 71px;
          height: 40px;
          text-align: center;
          line-height: 40px;
        }

        .el-input {
          line-height: 40px;
          border-radius: 0;

         ::v-deep .el-input__inner {
            width: 100%;
            height: 40px;
            line-height: 40px;
            border-radius: 0;
          }
        }

        .commonly-input {
         ::v-deep .el-input__inner {
            padding-right: 100px;
          }
        }

        .commonly {
          position: absolute;
          top: 10px;
          right: 16px;
          font-size: 14px;
          font-weight: 400;
          color: #0081ff;
          cursor: pointer;
        }
      }

    }

  }
}
</style>
